curl --request POST \
--url https://api.tandapay.io/api/b2b/utilities/account/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountNumber": "254712345678",
"currency": "KES",
"method": "momo",
"momoOperator": "mpesa"
}
'
{
"success": true,
"data": {
"accountId": "254712345678",
"accountName": "GRACE ACHIENG"
}
}{
"success": false,
"message": "Account does not exist.",
"errorCode": "E-CH-PY.S-37"
}{
"success": false,
"message": "Unauthorized"
}Reference data
Account resolver
Verify a wallet, bank account, paybill or till and get the registered name.
POST
/
api
/
b2b
/
utilities
/
account
/
resolve
curl --request POST \
--url https://api.tandapay.io/api/b2b/utilities/account/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountNumber": "254712345678",
"currency": "KES",
"method": "momo",
"momoOperator": "mpesa"
}
'
{
"success": true,
"data": {
"accountId": "254712345678",
"accountName": "GRACE ACHIENG"
}
}{
"success": false,
"message": "Account does not exist.",
"errorCode": "E-CH-PY.S-37"
}{
"success": false,
"message": "Unauthorized"
}Authorizations
Token from Generate bearer token.
Body
application/json
Phone, bank account, paybill or till number.
Example:
"254712345678"
ISO 4217 currency code. Tanda supports KES.
Available options:
KES Example:
"KES"
Available options:
momo, bank, paybill, till Example:
"momo"
Required for momo.
Available options:
mpesa, airtel 
